/*
 * MIDI Manager Estr.r 
 * These resources create 'Estr' strings which can be used by 
 * the CError methods: SevereMacError and CheckOSError.
 *
 */

#define midiNoMIDIManagerErr	-249	// ADDED BY PAUL FERGUSON (This isn't a real Mac result code)
#define midiNoClientErr			-250	// no client with that ID found
#define midiNoPortErr			-251	// no port with that ID found
#define midiTooManyPortsErr		-252	// too many ports already installed in the system
#define midiTooManyConsErr		-253	// too many connections made
#define midiVConnectErr			-254	// pending virtual connection created
#define midiVConnectMade		-255	// pending virtual connection resolved
#define midiVConnectRmvd		-256	// pending virtual connection removed
#define midiNoConErr			-257	// no connection exists between specified ports
#define midiWriteErr			-258	// MIDIWritePacket couldn't write to all connected ports
#define midiNameLenErr			-259	// name supplied is longer than 31 characters
#define midiDupIDErr			-260	// duplicate client ID
#define midiInvalidCmdErr		-261	// command not supported for port type


// Define the type 'Estr' just like a 'STR ' resource.
type 'Estr' {
		pstring;
};

resource 'Estr' (midiNoMIDIManagerErr) {
	"No MIDI Manager software found."
};
resource 'Estr' (midiNoClientErr) {
	"MIDI Manager Error. No client with that ID found."
};
resource 'Estr' (midiNoPortErr) {
	"MIDI Manager Error. No port with that ID found."
};
resource 'Estr' (midiTooManyPortsErr) {
	"MIDI Manager Error. Too many ports already installed in the system."
};
resource 'Estr' (midiTooManyConsErr) {
	"MIDI Manager Error. Too many connections made."
};
resource 'Estr' (midiVConnectErr) {
	"MIDI Manager Error. Pending virtual connection created."
};
resource 'Estr' (midiVConnectMade) {
	"Pending virtual connection resolved."		// NOTE: This is normally not a MM error
};
resource 'Estr' (midiVConnectRmvd) {
	"MIDI Manager Error. Pending virtual connection removed."
};
resource 'Estr' (midiNoConErr) {
	"MIDI Manager Error. No connection exists between specified ports."
};
resource 'Estr' (midiWriteErr) {
	"MIDI Manager Error. MIDIWritePacket couldnt write to all connected ports"
};
resource 'Estr' (midiNameLenErr) {
	"MIDI Manager Error. Name supplied is longer than 31 characters."
};
resource 'Estr' (midiDupIDErr) {
	"MIDI Manager Error. Duplicate client ID."
};
resource 'Estr' (midiInvalidCmdErr) {
	"MIDI Manager Error. Command not supported for port type."
};


